# Class XMLParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.modelmbean.XMLParseException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="25", forRemoval=true) public class XMLParseException extends Exception
Deprecated, for removal: This API element is subject to removal in a future version.
This class exists only to support XML parsing implemented privately in this module, in DescriptorSupport. That feature is deprecated for removal.
This exception is thrown when an XML formatted string is being parsed into ModelMBean objects or when XML formatted strings are being created from ModelMBean objects. It is also used to wrapper exceptions from XML parsers that may be used.

The serialVersionUID of this class is `3176664577895105181L`.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XMLParseException()`
Deprecated, for removal: This API element is subject to removal in a future version.
Default constructor .
`XMLParseException(Exception e, String s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor taking a string and an exception.
`XMLParseException(String s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor taking a string.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XMLParseException

public XMLParseException()
Deprecated, for removal: This API element is subject to removal in a future version.
Default constructor .

### XMLParseException

public XMLParseException(String s)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor taking a string.

Parameters:
  `s` - the detail message.

### XMLParseException

public XMLParseException(Exception e, String s)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor taking a string and an exception.

Parameters:
  `e` - the nested exception.
  `s` - the detail message.